=== debian/control ===
Source: dynamips
Section: non-free/net
Priority: optional
Maintainer: Erik Wenzel <erik@debian.org>
Homepage: http://www.ipflow.utc.fr/
Build-Depends: cdbs (>= 0.4.25), quilt (>= 0.40), debhelper (>= 5.0), libpcap0.8-dev (>= 0.9.0), libelf-dev
Vcs-Git: git://gpl.code.de/git/dynamips
Vcs-Browser: http://gpl.code.de/gitweb?p=dynamips.git;a=summary
Standards-Version: 3.9.1

Package: dynamips
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cisco 7200/3600/3725/3745/2600/1700 Router Emulator
 Dynamips emulates Cisco 7200/3600/3725/3745/2600/1700 Routers on a traditional
 PC.  You can use dynamips to create labs. It uses IOS Images (which are not
 part of this package). Of course, this emulator cannot replace a real router.
 It is simply a complementary tool to real labs for administrators of Cisco
 networks or people wanting to pass their CCNA/CCNP/CCIE exams. For a Command
 Line Interface for dynamips see dynagen or gns3 package.
Tag: hardware::emulation, implemented-in::c, interface::commandline, interface::daemon, interface::shell, network::TODO, network::routing, network::server, protocol::atm, protocol::ethernet, protocol::ip, protocol::ipv6, role::program, scope::utility, use::checking, use::learning, use::routing, works-with::network-traffic
