=== debian/changelog ===
dynamips (0.2.11-1) unstable; urgency=low

  * [ab3a8d82] Bump standards-version to 3.9.5 - no changes
  * [b792229e] debian/watch - Remove obsolete githubredir
  * [278818eb] Imported Upstream version 0.2.11
  * [f1fec7b5] Drop patches applied upstream
		     + 20-stableMakefileHardening
		     + 30-arm_support.patch
  * [4a4ab133] Patches to fix architecture detection in Makefile
		     + 10-Makefile-Architecture - removed
		     + MakefileArchitecture.patch - added
  * [98e2662c] debian/rules
                     + Remove override_dh_install (Makefile fixed for DESTDIR)
  * [4ec13364] Add patch to fix lintian warning:
                 + manpage-has-errors-from-man 
		   hypervisor_mode.7.gz 310: warning: macro `Bvm' not defined

 -- Daniel Lintott <daniel@serverb.co.uk>  Tue, 11 Feb 2014 11:20:41 +0000

dynamips (0.2.10-2) unstable; urgency=low

  * [6864f823] Import ARM Support patch from Ubuntu
  * [d3ad6218] Update Makefile architecture patch (to fix FTBFS on Ubuntu)
  * [0e8239c6] Update ARM Support patch to include ARM64

 -- Daniel Lintott <daniel@serverb.co.uk>  Tue, 29 Oct 2013 12:33:09 +0000

dynamips (0.2.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable autobuild.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 17 Oct 2013 22:46:37 +0200

dynamips (0.2.10-1) unstable; urgency=low

  * New Maintainer (Closes: #725349)
  * [f0fade5c] Imported Upstream version 0.2.10
  * [49cfc9c2] Add new architecture patch
  * [3c9594b0] Correct spelling in README.debian
  * [642bb50c] Switch build system to debhelper
  * [cd423ffa] Update debian/watch file
  * [c1920d03] Add additional files for debhelper
  * [c4623795] Convert copyright file to machine readable (DEP-5)
  * [4e7cb75b] Add postinst script
  * [ddeaf0eb] Update debian/control

 -- Daniel Lintott <daniel@serverb.co.uk>  Mon, 07 Oct 2013 19:28:57 +0100
