## dynamips 0.2.12

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 export HAS_POSIX_MEMALIGN?=1
 
 # Current dynamips release
-export VERSION_TRAIN=0.2.11
+export VERSION_TRAIN=0.2.12
 export VERSION_SUB=
 
 # Executable binary extension and prefix directory
